Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.vmplugin.v5
Class JUnit4Utils

Java 5 code for working with JUnit 4 tests.

author:
  Paul King

Constructor Summary
`JUnit4Utils()`

Method Summary
`static Boolean` | `realIsJUnit4Test(Class scriptClass, GroovyClassLoader loader)` Utility method to check via reflection if the parsed class appears to be a JUnit4 test.
`static Object` | `realRunJUnit4Test(Class scriptClass)` Utility method to run a JUnit4 test.

Constructor Detail

### JUnit4Utils

    JUnit4Utils()

Method Detail

### realIsJUnit4Test

    public static Boolean realIsJUnit4Test(Class scriptClass, GroovyClassLoader loader)

  Utility method to check via reflection if the parsed class appears to be a JUnit4 test.
  param:
    scriptClass the class we want to check
  param:
    loader the GroovyClassLoader to use to find classes
  return:
    true if the class appears to be a test

### realRunJUnit4Test

    public static Object realRunJUnit4Test(Class scriptClass)

  Utility method to run a JUnit4 test.
  param:
    scriptClass the class we want to run as a test
  return:
    the result of running the test